- Home
- API Enriched
- Dns
- config
- Replace DNS Zone.
Replace DNS Zone.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/example/dns_zones/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"primary":{"allow_http_lb_managed_records":true,"default_rr_set_group":[{"a_record":{"name":"example","values":["example"]},"aaaa_record":{"name":"example","values":["example"]},"afsdb_record":{"name":"example","values":[{"hostname":"example","subtype":"NONE"}]},"alias_record":{"value":"example"},"caa_record":{"name":"example","values":[{"flags":1,"tag":"example","value":"example"}]},"cds_record":{"name":"example","values":[{"ds_key_algorithm":"UNSPECIFIED","key_tag":1,"sha1_digest":{"digest":"example"},"sha256_digest":{"digest":"example"},"sha384_digest":{"digest":"example"}}]},"cert_record":{"name":"example","values":[{"algorithm":"RESERVEDALGORITHM","cert_key_tag":1,"cert_type":"INVALIDCERTTYPE","certificate":"example"}]},"cname_record":{"name":"example","value":"example"},"description":"example","ds_record":{"name":"example","values":[{"ds_key_algorithm":"UNSPECIFIED","key_tag":1,"sha1_digest":{"digest":"example"},"sha256_digest":{"digest":"example"},"sha384_digest":{"digest":"example"}}]},"eui48_record":{"name":"example","value":"example"},"eui64_record":{"name":"example","value":"example"},"lb_record":{"name":"example","value":{"name":"example","namespace":"example"}},"loc_record":{"name":"example","values":[{"altitude":1,"horizontal_precision":1,"latitude_degree":1,"latitude_hemisphere":"N","latitude_minute":1,"latitude_second":1,"location_diameter":1,"longitude_degree":1,"longitude_hemisphere":"E","longitude_minute":1,"longitude_second":1,"vertical_precision":1}]},"mx_record":{"name":"example","values":[{"domain":"example","priority":1}]},"naptr_record":{"name":"example","values":[{"flags":"example","order":1,"preference":1,"regexp":"example","replacement":"example","service":"example"}]},"ns_record":{"name":"example","values":["example"]},"ptr_record":{"name":"example","values":["example"]},"srv_record":{"name":"example","values":[{"port":1,"priority":1,"target":"example","weight":1}]},"sshfp_record":{"name":"example","values":[{"algorithm":"UNSPECIFIEDALGORITHM","sha1_fingerprint":{"fingerprint":"example"},"sha256_fingerprint":{"fingerprint":"example"}}]},"tlsa_record":{"name":"example","values":[{"certificate_association_data":"example","certificate_usage":"CertificateAuthorityConstraint","matching_type":"NoHash","selector":"FullCertificate"}]},"ttl":1,"txt_record":{"name":"example","values":["example"]}}],"default_soa_parameters":{},"dnssec_mode":{"disable":{},"enable":{}},"rr_set_group":[{"metadata":{"description":"example","name":"example"},"rr_set":[{"a_record":{"name":"example","values":["example"]},"aaaa_record":{"name":"example","values":["example"]},"afsdb_record":{"name":"example","values":[{"hostname":"example","subtype":"NONE"}]},"alias_record":{"value":"example"},"caa_record":{"name":"example","values":[{"flags":1,"tag":"example","value":"example"}]},"cds_record":{"name":"example","values":[{"ds_key_algorithm":"UNSPECIFIED","key_tag":1,"sha1_digest":{"digest":"example"},"sha256_digest":{"digest":"example"},"sha384_digest":{"digest":"example"}}]},"cert_record":{"name":"example","values":[{"algorithm":"RESERVEDALGORITHM","cert_key_tag":1,"cert_type":"INVALIDCERTTYPE","certificate":"example"}]},"cname_record":{"name":"example","value":"example"},"description":"example","ds_record":{"name":"example","values":[{"ds_key_algorithm":"UNSPECIFIED","key_tag":1,"sha1_digest":{"digest":"example"},"sha256_digest":{"digest":"example"},"sha384_digest":{"digest":"example"}}]},"eui48_record":{"name":"example","value":"example"},"eui64_record":{"name":"example","value":"example"},"lb_record":{"name":"example","value":{"name":"example","namespace":"example"}},"loc_record":{"name":"example","values":[{"altitude":1,"horizontal_precision":1,"latitude_degree":1,"latitude_hemisphere":"N","latitude_minute":1,"latitude_second":1,"location_diameter":1,"longitude_degree":1,"longitude_hemisphere":"E","longitude_minute":1,"longitude_second":1,"vertical_precision":1}]},"mx_record":{"name":"example","values":[{"domain":"example","priority":1}]},"naptr_record":{"name":"example","values":[{"flags":"example","order":1,"preference":1,"regexp":"example","replacement":"example","service":"example"}]},"ns_record":{"name":"example","values":["example"]},"ptr_record":{"name":"example","values":["example"]},"srv_record":{"name":"example","values":[{"port":1,"priority":1,"target":"example","weight":1}]},"sshfp_record":{"name":"example","values":[{"algorithm":"UNSPECIFIEDALGORITHM","sha1_fingerprint":{"fingerprint":"example"},"sha256_fingerprint":{"fingerprint":"example"}}]},"tlsa_record":{"name":"example","values":[{"certificate_association_data":"example","certificate_usage":"CertificateAuthorityConstraint","matching_type":"NoHash","selector":"FullCertificate"}]},"ttl":1,"txt_record":{"name":"example","values":["example"]}}]}],"soa_parameters":{"expire":1,"negative_ttl":1,"refresh":1,"retry":1,"ttl":1}},"secondary":{"primary_servers":["example"],"tsig_key_algorithm":"HMAC_MD5","tsig_key_name":"example","tsig_key_value":{"blindfold_secret_info":{"decryption_provider":"example","location":"example","store_provider":"example"},"clear_secret_info":{"provider":"example","url":"https://example.com"}}}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/example/dns_zones/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "primary": { "allow_http_lb_managed_records": true, "default_rr_set_group": [ { "a_record": { "name": "example", "values": [ "example" ] }, "aaaa_record": { "name": "example", "values": [ "example" ] }, "afsdb_record": { "name": "example", "values": [ { "hostname": "example", "subtype": "NONE" } ] }, "alias_record": { "value": "example" }, "caa_record": { "name": "example", "values": [ { "flags": 1, "tag": "example", "value": "example" } ] }, "cds_record": { "name": "example", "values": [ { "ds_key_algorithm": "UNSPECIFIED", "key_tag": 1, "sha1_digest": { "digest": "example" }, "sha256_digest": { "digest": "example" }, "sha384_digest": { "digest": "example" } } ] }, "cert_record": { "name": "example", "values": [ { "algorithm": "RESERVEDALGORITHM", "cert_key_tag": 1, "cert_type": "INVALIDCERTTYPE", "certificate": "example" } ] }, "cname_record": { "name": "example", "value": "example" }, "description": "example", "ds_record": { "name": "example", "values": [ { "ds_key_algorithm": "UNSPECIFIED", "key_tag": 1, "sha1_digest": { "digest": "example" }, "sha256_digest": { "digest": "example" }, "sha384_digest": { "digest": "example" } } ] }, "eui48_record": { "name": "example", "value": "example" }, "eui64_record": { "name": "example", "value": "example" }, "lb_record": { "name": "example", "value": { "name": "example", "namespace": "example" } }, "loc_record": { "name": "example", "values": [ { "altitude": 1, "horizontal_precision": 1, "latitude_degree": 1, "latitude_hemisphere": "N", "latitude_minute": 1, "latitude_second": 1, "location_diameter": 1, "longitude_degree": 1, "longitude_hemisphere": "E", "longitude_minute": 1, "longitude_second": 1, "vertical_precision": 1 } ] }, "mx_record": { "name": "example", "values": [ { "domain": "example", "priority": 1 } ] }, "naptr_record": { "name": "example", "values": [ { "flags": "example", "order": 1, "preference": 1, "regexp": "example", "replacement": "example", "service": "example" } ] }, "ns_record": { "name": "example", "values": [ "example" ] }, "ptr_record": { "name": "example", "values": [ "example" ] }, "srv_record": { "name": "example", "values": [ { "port": 1, "priority": 1, "target": "example", "weight": 1 } ] }, "sshfp_record": { "name": "example", "values": [ { "algorithm": "UNSPECIFIEDALGORITHM", "sha1_fingerprint": { "fingerprint": "example" }, "sha256_fingerprint": { "fingerprint": "example" } } ] }, "tlsa_record": { "name": "example", "values": [ { "certificate_association_data": "example", "certificate_usage": "CertificateAuthorityConstraint", "matching_type": "NoHash", "selector": "FullCertificate" } ] }, "ttl": 1, "txt_record": { "name": "example", "values": [ "example" ] } } ], "default_soa_parameters": {}, "dnssec_mode": { "disable": {}, "enable": {} }, "rr_set_group": [ { "metadata": { "description": "example", "name": "example" }, "rr_set": [ { "a_record": { "name": "example", "values": [ "example" ] }, "aaaa_record": { "name": "example", "values": [ "example" ] }, "afsdb_record": { "name": "example", "values": [ { "hostname": "example", "subtype": "NONE" } ] }, "alias_record": { "value": "example" }, "caa_record": { "name": "example", "values": [ { "flags": 1, "tag": "example", "value": "example" } ] }, "cds_record": { "name": "example", "values": [ { "ds_key_algorithm": "UNSPECIFIED", "key_tag": 1, "sha1_digest": { "digest": "example" }, "sha256_digest": { "digest": "example" }, "sha384_digest": { "digest": "example" } } ] }, "cert_record": { "name": "example", "values": [ { "algorithm": "RESERVEDALGORITHM", "cert_key_tag": 1, "cert_type": "INVALIDCERTTYPE", "certificate": "example" } ] }, "cname_record": { "name": "example", "value": "example" }, "description": "example", "ds_record": { "name": "example", "values": [ { "ds_key_algorithm": "UNSPECIFIED", "key_tag": 1, "sha1_digest": { "digest": "example" }, "sha256_digest": { "digest": "example" }, "sha384_digest": { "digest": "example" } } ] }, "eui48_record": { "name": "example", "value": "example" }, "eui64_record": { "name": "example", "value": "example" }, "lb_record": { "name": "example", "value": { "name": "example", "namespace": "example" } }, "loc_record": { "name": "example", "values": [ { "altitude": 1, "horizontal_precision": 1, "latitude_degree": 1, "latitude_hemisphere": "N", "latitude_minute": 1, "latitude_second": 1, "location_diameter": 1, "longitude_degree": 1, "longitude_hemisphere": "E", "longitude_minute": 1, "longitude_second": 1, "vertical_precision": 1 } ] }, "mx_record": { "name": "example", "values": [ { "domain": "example", "priority": 1 } ] }, "naptr_record": { "name": "example", "values": [ { "flags": "example", "order": 1, "preference": 1, "regexp": "example", "replacement": "example", "service": "example" } ] }, "ns_record": { "name": "example", "values": [ "example" ] }, "ptr_record": { "name": "example", "values": [ "example" ] }, "srv_record": { "name": "example", "values": [ { "port": 1, "priority": 1, "target": "example", "weight": 1 } ] }, "sshfp_record": { "name": "example", "values": [ { "algorithm": "UNSPECIFIEDALGORITHM", "sha1_fingerprint": { "fingerprint": "example" }, "sha256_fingerprint": { "fingerprint": "example" } } ] }, "tlsa_record": { "name": "example", "values": [ { "certificate_association_data": "example", "certificate_usage": "CertificateAuthorityConstraint", "matching_type": "NoHash", "selector": "FullCertificate" } ] }, "ttl": 1, "txt_record": { "name": "example", "values": [ "example" ] } } ] } ], "soa_parameters": { "expire": 1, "negative_ttl": 1, "refresh": 1, "retry": 1, "ttl": 1 } }, "secondary": { "primary_servers": [ "example" ], "tsig_key_algorithm": "HMAC_MD5", "tsig_key_name": "example", "tsig_key_value": { "blindfold_secret_info": { "decryption_provider": "example", "location": "example", "store_provider": "example" }, "clear_secret_info": { "provider": "example", "url": "https://example.com" } } } } }'Replace DNS Zone in a given namespace.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
object
Option to allow user-created HTTP, TCP, and CDN load balancer related resource records to be automatically managed in a protected RRset.
Add and manage DNS resource record sets part of Default set group.
object
object
A Record name, please provide only the specific subdomain or record name without the base domain.
A valid IPv4 address, for example: 1.1.1.1 Required: YES.
object
AAAA Record name, please provide only the specific subdomain or record name without the base domain.
A valid IPv6 address, for example: 2001:0db8:85a3:0000:0000:8a2e:0370:7334 Required: YES.
object
AFSDB Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Server name of the AFS cell database server or the DCE name server. Required: YES.
object
A valid domain name, for example: example.com.
object
CAA Record name, please provide only the specific subdomain or record name without the base domain.
Configuration parameter for values
object
This flag should be an integer between 0 and 255.
Tag for categorization and filtering
Configuration parameter for value
object
CDS Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
A short numeric value which can help quickly identify the referenced DNSKEY-record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
CERT Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Required: YES.
Certificate in base 64 format. Required: YES.
object
CName Record name, please provide only the specific subdomain or record name without the base domain. Required: YES.
Configuration parameter for value
Human-readable description text
object
DS Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
A short numeric value which can help quickly identify the referenced DNSKEY-record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
EUI48 Record name, please provide only the specific subdomain or record name without the base domain.
A valid eui48 identifier, for example: 01-23-45-67-89-ab Required: YES.
object
EUI64 Record name, please provide only the specific subdomain or record name without the base domain.
A valid EUI64 identifier, for example: 01-23-45-67-89-ab-cd-ef Required: YES.
object
Load Balancer record name (except for SRV DNS Load balancer record) should be a simple record name and not a subdomain of a subdomain.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
LOC Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Altitude in meters Required: YES.
Horizontal Precision in meters.
Latitude degree, an integer between 0 and 90, including 0 and 90 Required: YES.
Latitude minute, an integer between 0 and 59, including 0 and 59.
Latitude second, an decimal between 0 and 59.999, including 0 and 59.999.
Diameter of a sphere enclosing the described entity, in meters.
Longitude degree, an integer between 0 and 180, including 0 and 180 Required: YES.
Longitude minute, an integer between 0 and 59, including 0 and 59.
Longitude second, an decimal between 0 and 59.999, including 0 and 59.999.
Vertical Precision in meters.
object
MX Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Mail exchanger domain name, please provide the full hostname, for example: mail.example.com.
Mail exchanger priority code.
object
NAPTR Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Flag to control aspects of the rewriting and interpretation of the fields in the record. At this time only four flags, S/A/U/P, are defined. Required: YES.
Order in which the NAPTR records must be processed. A lower number indicates a higher preference. Required: YES.
Preference when records have the same order. A lower number indicates a higher preference. Required: YES.
Regular expression to construct the next domain name to lookup.
The next NAME to query for NAPTR, SRV, or address records depending on the value of the flags field.
Specifies the service(s) available down this rewrite path.
object
NS Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
PTR Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
SRV Record name, please provide only the specific subdomain or record name without the base domain. Required: YES.
Required: YES.
object
Port on which the service can be found.
Priority of the target. A lower number indicates a higher preference.
Hostname of the machine providing the service.
Weight of the target. A higher number indicates a higher preference.
object
SSHFP Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
object
The ‘fingerprint’ is the DS key and the actual contents of the DS record. Required: YES.
object
The ‘fingerprint’ is the DS key and the actual contents of the DS record. Required: YES.
object
TLSA Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
The actual data to be matched given the settings of the other fields. Required: YES.
Time-to-live duration in seconds
object
TXT Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
object
object
object
Create and manage set groups, and resource record sets within them, x-VES-I/O-managed set is managed by F5.
object
object
Human readable description.
This is the name of the message. The value of name has to follow DNS-1035 format. Required: YES.
Collection of DNS resource record sets.
object
object
A Record name, please provide only the specific subdomain or record name without the base domain.
A valid IPv4 address, for example: 1.1.1.1 Required: YES.
object
AAAA Record name, please provide only the specific subdomain or record name without the base domain.
A valid IPv6 address, for example: 2001:0db8:85a3:0000:0000:8a2e:0370:7334 Required: YES.
object
AFSDB Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Server name of the AFS cell database server or the DCE name server. Required: YES.
object
A valid domain name, for example: example.com.
object
CAA Record name, please provide only the specific subdomain or record name without the base domain.
Configuration parameter for values
object
This flag should be an integer between 0 and 255.
Tag for categorization and filtering
Configuration parameter for value
object
CDS Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
A short numeric value which can help quickly identify the referenced DNSKEY-record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
CERT Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Required: YES.
Certificate in base 64 format. Required: YES.
object
CName Record name, please provide only the specific subdomain or record name without the base domain. Required: YES.
Configuration parameter for value
Human-readable description text
object
DS Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
A short numeric value which can help quickly identify the referenced DNSKEY-record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.
object
EUI48 Record name, please provide only the specific subdomain or record name without the base domain.
A valid eui48 identifier, for example: 01-23-45-67-89-ab Required: YES.
object
EUI64 Record name, please provide only the specific subdomain or record name without the base domain.
A valid EUI64 identifier, for example: 01-23-45-67-89-ab-cd-ef Required: YES.
object
Load Balancer record name (except for SRV DNS Load balancer record) should be a simple record name and not a subdomain of a subdomain.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
LOC Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Altitude in meters Required: YES.
Horizontal Precision in meters.
Latitude degree, an integer between 0 and 90, including 0 and 90 Required: YES.
Latitude minute, an integer between 0 and 59, including 0 and 59.
Latitude second, an decimal between 0 and 59.999, including 0 and 59.999.
Diameter of a sphere enclosing the described entity, in meters.
Longitude degree, an integer between 0 and 180, including 0 and 180 Required: YES.
Longitude minute, an integer between 0 and 59, including 0 and 59.
Longitude second, an decimal between 0 and 59.999, including 0 and 59.999.
Vertical Precision in meters.
object
MX Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Mail exchanger domain name, please provide the full hostname, for example: mail.example.com.
Mail exchanger priority code.
object
NAPTR Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Flag to control aspects of the rewriting and interpretation of the fields in the record. At this time only four flags, S/A/U/P, are defined. Required: YES.
Order in which the NAPTR records must be processed. A lower number indicates a higher preference. Required: YES.
Preference when records have the same order. A lower number indicates a higher preference. Required: YES.
Regular expression to construct the next domain name to lookup.
The next NAME to query for NAPTR, SRV, or address records depending on the value of the flags field.
Specifies the service(s) available down this rewrite path.
object
NS Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
PTR Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
SRV Record name, please provide only the specific subdomain or record name without the base domain. Required: YES.
Required: YES.
object
Port on which the service can be found.
Priority of the target. A lower number indicates a higher preference.
Hostname of the machine providing the service.
Weight of the target. A higher number indicates a higher preference.
object
SSHFP Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
object
The ‘fingerprint’ is the DS key and the actual contents of the DS record. Required: YES.
object
The ‘fingerprint’ is the DS key and the actual contents of the DS record. Required: YES.
object
TLSA Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
The actual data to be matched given the settings of the other fields. Required: YES.
Time-to-live duration in seconds
object
TXT Record name, please provide only the specific subdomain or record name without the base domain.
Required: YES.
object
Expire value indicates when secondary nameservers should stop answering request for this zone if primary does not respond.
Negative TTL value indicates how long to cache non-existent resource record for this zone.
Refresh value indicates when secondary nameservers should query for the SOA record to detect zone changes.
Retry value indicates when secondary nameservers should retry to request the serial number if primary does not respond.
SOA record time to live (in seconds)
object
Required: YES.
TSIG key name as used in TSIG protocol extension.
object
object
Name of the Secret Management Access object that contains information about the backend Secret Management service.
Location is the uri_ref. It could be in URL format for string:/// Or it could be a path if the store provider is an HTTP/HTTPS location Required: YES.
Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.
object
Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.
URL of the secret. Currently supported URL schemes is string:///. For string:/// scheme, Secret needs to be encoded Base64 format. When asked for this secret, caller will GET Secret bytes after Base64 decoding. Required: YES.
Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example